import Ember from "ember";

export default Ember.Component.extend({

	tagName: 'div',

	value: '',

	spellcheck: 'false',

	autocorrect: 'true',

	autocapitalize: 'true',

	contenteditable: 'true',

	classNames: ['editable-text'],

	attributeBindings: ['placeholder', 'contenteditable', 'spellcheck', 'autocorrect', 'autocapitalize'],

	didInsertElement() {
		this._super(...arguments);
		this.$().html( this.get('value') );
	},

	input() {
		this._super(...arguments);
		this.sendAction('on-change', this.$().text());
	},

});
